Version 9.0 (10 Dec 2014)
=========================

* Newly supported game variant Classic for 3 players, in which the
  players take turns playing the fourth color.
* Increased playing strength, mainly in game variant Trigon.
* There are now 9 levels and the playing strength increases more evenly
  with the level. Ratings in rated games are still comparable to previous
  versions of Pentobi apart from Trigon at lower levels because Trigon
  starts now with a higher playing strength at level 1.
* The computer is now better at playing moves that maximize the score
  as long as they do not lead into riskier positions.
* The computer now remembers the playing level separately for each game
  variant and restores it when the game variant is changed.
* Player ratings now change faster if less than 30 rated games have been
  played, and slower afterwards.
* The mouse wheel can no longer be used for game navigation because it
  was too easy to trigger accidentally while playing a game. This also
  fixes the bug that the game navigation with the mouse wheel was not
  disabled in rated games and the game could not be continued after that
  because the play button is disabled in rated games.
* It is no longer possible to select and play a piece while the computer
  is thinking, the thinking must be aborted first with Computer/Stop.
* Bugfix: program crashed if computer colors dialog was opened and closed
  with OK while computer was thinking.
* Experimental support for Android. The Android version supports only a
  subset of the features of the desktop version and only playing levels
  1 to 7. There are still known issues with the user interface due to
  bugs in Qt for Android. The Android version is currently only available
  as an APK file for devices with an ARMv7 CPU from the download section
  of http://pentobi.sourceforge.net


Version 8.2 (05 Sep 2014)
=========================

* Fixed remaining link errors on some platforms (Debian bug #759852)


Version 8.1 (31 Aug 2014)
=========================

* Fixed link error on some platforms if Pentobi is compiled with
  PENTOBI_BUILD_TESTS (Debian bug #759852)
* Slightly improved some icons and use icons from theme for more menu items


Version 8.0 (02 Mar 2014)
=========================

* Increased playing strength, especially in game variant Trigon.
* Improved performance on multi-core CPUs: Previously, the move
  generation was faster on multi-core CPUs but there was a small drop
  in playing strength compared to the same playing level on a
  single-core CPU. This effect has been reduced.
* New toolbar button for starting a rated game.
* The interface is now more locked down during rated games, for example
  it is no longer possible to change the computer colors or take back a
  move during a rated game.
* The menu item "Computer Colors" was moved from the Game to the
  Computer menu.
* The source code no longer compiles with MSVC 2012 but requires
  MSVC 2013 because a larger subset of C++11 features is used.
* The source code distribution now uses xz instead of gzip for
  compression.
* The PNG versions of the icons are no longer included in the source
  code but generated at build time from the SVG icons by a small
  Qt-based helper program. This adds a build time dependency on QtSvg.
* A XPM icon is now installed to share/pixmaps.
* The configure option USE_BOOST_THREAD is no longer supported.
  For building with MinGW, a version of MinGW with support for
  std::thread is now required (e.g. from mingwbuilds.sf.net).


Version 7.2 (30 Jan 2014)
=========================

* Hyphens used as minus signs in manpage (bug #9)
* Added keywords section to desktop entry to silence lintian
  warning (bug #10)
* Fixed a compilation error with GCC 4.8.2 on PowerPC (and other
  big-endian systems)
* Fixed wrong arguments to update-mime-database/update-desktop-database
  when running "make post-install"
* Improved a blurry menu item icon
* Fixed a compilation warning about a missing translation
* Reduced the sizes of the generated and installed translation files.
* Fixed a compilation error on 64-bit Linux with X32 ABI
* Fixed a compilation error with Cygwin


Version 7.1 (13 Aug 2013)
=========================

* Fixed the version string. The released file pentobi-7.0.tar.gz was
  erroneously built from git version c5247c56 just before the version
  tagged with v7.0 and contained the version string 6.UNKNOWN
* The color played by the human in rated games is now randomly assigned
* The mouse wheel is now disabled while the computer is thinking


Version 7.0 (25 Jun 2013)
=========================

* Support for compilation with version 5 of the Qt libraries (see INSTALL
  for details)
* Slightly increased playing strength at higher levels (mainly in game
  variant Duo)
* The default settings in game variants with more than two players are now
  that the human plays the first color and the computer all other colors
* Fixed a crash that could occur if the window was put in fullscreen mode
  by a method of the window manager (e.g. title bar menu on KDE) and then
  returned to normal mode by a different method (e.g. pressing Escape)


Version 6.0 (4 Mar 2013)
========================

* Increased playing strength at higher levels. The search algorithm used
  for move generation is now parallelized and can take advantage of
  multi-core CPUs (up to 4 cores). There is a new playing level 8, which
  has a 2 GHz dual-core CPU or faster as the recommended system requirement.
* New menu item Toolbar Text to configure the toolbar button appearance
  independent of the system settings
* More SGF game info properties (event, round, time) were added to the
  game info dialog
* The source code now requires at least GCC 4.7 (because a larger subset
  of C++11 features is used)
* The CMake module GNUInstallDirs is now used for setting the installation
  directories on Unix. Note that the defaults for bindir and datadir are
  now CMAKE_INSTALL_PREFIX/bin and CMAKE_INSTALL_PREFIX/share instead of
  CMAKE_INSTALL_PREFIX/games and CMAKE_INSTALL_PREFIX/share/games.
  They can be changed by setting CMAKE_INSTALL_BINDIR and
  CMAKE_INSTALL_DATADIR (bug #7)
* The source code no longer depends on the Boost libraries. However, it
  is still possible to use Boost.Thread instead of std::thread by
  configuring with USE_BOOST_THREAD=ON (e.g. needed on MinGW GCC 4.7,
  which has no functional implementation of std::thread)
* Thumbnailer registration for blksgf files is no longer supported for
  Gnome 2


Version 5.0 (10 Dec 2012)
=========================

* Small increase in overall playing strength at higher levels in all game
  variants (especially Trigon)
* The computer now knows about the possibility of rotational-symmetric tied
  games in game variant Trigon Two-Player (like it already knew in the
  variants Duo and Junior) and will prevent the second player from enforcing
  such a tie
* If the move generation takes longer than 10 seconds, the maximum remaining
  time is now shown in the status bar
* Removed less frequently used buttons (Open, Save) from the tool bar
* Re-organized menu bar
* The menu bar and tool bar are no longer shown in fullscreen mode
* Avoided some window flickering at startup


Version 4.3 (2 Nov 2012)
========================

* Setting the computer color for Red with the computer colors dialog did
  not work for game variant Trigon Three-Player
* Disable Undo menu item when it is not applicable
* Fixed an assertion at end of move generation in Trigon Three-Player if
  Pentobi was compiled in debug mode


Version 4.2 (7 Oct 2012)
========================

* Fixed crash when opening game info dialog in game variants Classic
  Two-Player or Trigon Two-Player


Version 4.1 (5 Oct 2012)
========================

* Result of rated game was counted wrongly in four-color/two-player game
  variants if the first player had a higher score than the second player
  but the first color a lower score than the second color.
* Fixed potential crash if Undo, Truncate or Truncate Children is selected
  while the computer is thinking.
* Automatic continuing of computer play did not work in some cases if the
  computer was thinking while the Computer Color dialog was used.


Version 4.0 (4 Oct 2012)
========================

* New menu item "Beginning of Branch"
* The rating dialog now also shows the best previous rating and has
  a button to reset the rating
* A thumbnail plugin for KDE can be built by using the CMake option
  -DPENTOBI_BUILD_KDE_THUMBNAILER=ON
* Replaced the icons with less colorful ones. All icons are now licensed
  under the GPLv3+ and include SVG sources. No icons from the Tango icon
  set are used anymore.


Version 3.1 (2 Aug 2012)
========================

* Fixed a bug in version 3.0 in the replacement of obsolete move properties
  in old files that corrupted files in game variants with 3 or 4 colors.


Version 3.0 (1 Aug 2012)
========================

* New functionality to compute a player rating for the user by playing
  rated games against the computer
* Different options for speed of game analysis
* New menu item "Play Single Move" to make the computer play a move
  without changing the colors played by the computer
* The mouse wheel can now be used to navigate in the current variation
  if no piece is selected
* Files written by older versions of Pentobi that use a deprecated format
  for move properties are now automatically converted to the current format
  on write


Version 2.1 (1 Jul 2012)
========================

* Bugfix: File was erroneously marked as modified if a multiline comment
  was shown and the platform that was used to create the file had
  Windows-style end of line convention and the platform on which the file
  was shown had Unix-style.
* Fixed the corruption of non-ASCII characters in game files on some
  platforms.
* Fixed a case where the program froze instead of showing an error on
  certain syntax errors in the SGF file.
* Fixed duplicate menu shortcut in German translation
* Fixed too high floating point tolerance in unit tests.


Version 2.0 (22 May 2012)
=========================

* No more popup messages if a color has no more moves;
  instead, score points of this color are underlined
  (feature request #3431031)
* Newly supported game variant Junior
* Improved playing strength. Number of levels increased to 7.
  Level 7 is about the same speed as the old level 6 but stronger.
* New game analysis function that shows a graph with the estimated
  value of each position in a game (menu item "Computer/Analyze Game")
* Support for setup properties in blksgf files (note that files
  with setup properties cannot be read by older versions of
  Pentobi). A new setup mode can be used to create files that start
  with a setup position including positions that cannot occur in
  real games (e.g. for puzzles or Blokus art)
* New menu items for editing the game tree: "Delete All Variations",
  "Keep Only Position", "Keep Only Subtree", "Move Variation Up/Down",
  "Truncate Children"
* Variations are now displayed by appending a letter to the move number
  instead of underlining
* Added a toolbar button for fast selection of the computer colors
  without having to use the window menu.
* User manual is no longer compiled into the resources of the
  executable but installed in the installation data directory
* Open a console for stderr output on Windows if Pentobi is
  invoked with option --verbose
* New option --memory to make Pentobi run on systems with low
  memory at the cost of reduced playing strength.
* Use standard icons from theme


Version 1.2 (17 Apr 2012)
=========================

* Bugfix: program sometimes hung or crashed when generating a
  move in early game Trigon positions especially when there
  were no legal moves with any of the large pieces
* Bugfix: file modified marker was not set on certain changes
  (Make Main Variation, comment changed)
* Bugfix: game info dialog showed wrong player labels in Trigon
  and Trigon Three-Player * Minor other bugfixes in the code
* Reverted the change that used the SVG icon for setting the
  window icon because it created an unwanted dependency on the
  Qt SVG plugin.
* Made Save menu item and tool button active if game is modified
  even if no file name is associated with the current game
* Made the code compile without warnings with GCC -Wunused
* Made "make post-install" continue even if some commands fail.


Version 1.1 (10 Mar 2012)
=========================

* File is now immediately visible in Recent Files menu after
  saving under a new name.
* Fixed several cases where the program crashed instead of showing
  an error message if the opened file was invalid. The error
  message now also has a Show Details button to show the reason
  why the file could not be loaded.
* Fixed a bug that distorted the position values reported with
  --verbose if a subtree from a previous search was reused
* Fixed exception in tools/twogtp/analyze.py if option -r was used
* Minor fixes in computer player engine
* Added explaining label to computer color dialog because window
  title is not visible in all L&F's
* Accept pass moves (empty value) in files. Although the current
  Blokus SGF documentation does not specify if they should be
  allowed, they might be used in the future and are used in files
  written by early (unreleased) versions of Pentobi
* Extended the file format documentation by a hint how to put
  blksgf files on web servers
* Smaller icons for piece manipulation buttons
* Fixed computation of the font bounding box in the score display
* Set option -std=c++0x in CMakeLists.txt if compiler is CLang
* Removed duplicate pentobi.png in directories data and src/pentobi;
  The file pentobi.svg was moved from data to src/pentobi and is
  now used for setting the window icon of Pentobi


Version 1.0 (1 Jan 2012)
========================

* Support for game variant Trigon Three-Player
* Change directory for autosave file to use AppData
  (on Windows) or XDG_DATA_HOME (on other systems)
* Changed Back to Main Variation to go to the last move
  in the main variation that had a variation, not to the
  last position in the main variation
* Changed variation string in status bar to contain
  information about the move numbers at the branching points
* Fixed small rendering errors
* New menu item Find Next Comment
* Added chapters about the main window and menu items to
  the user manual
* Fix bug: computer color dialog did not set colors correctly
  in game variant Trigon
* Show error message instead of crashing if the SGF file
  contains invalid move properties
* Lowered the required version of the Boost libraries in
  CMakeLists.txt from 1.45 to 1.40 such that Pentobi can
  be compiled on Debian 6.0.
  Note: some versions of Boost cause compilation errors if
  used with certain versions of GCC and option -std=c++0x
  (e.g. the combinations GCC 4.4/Boost 1.40 in Ubuntu 10.04
  and GCC 4.4/Boost 1.42 in Debian 6.0 work but the combination
  GCC 4.5/Boost 1.42 in Ubuntu 11.04 causes errors).
* Changed installation directories according to Filesystem
  Hierarchy Standard (/usr/bin to /usr/games, /usr/share to
  /usr/share/games)
* New CMake option PENTOBI_REGISTER_GNOME2_THUMBNAILER for
  disabling the installation of files for registering the Pentobi
  thumbnailer on Gnome 2
* Install man pages for pentobi and pentobi-thumbnailer on Unix
  systems


Version 0.3 (2 Dec 2011)
========================

* Support for the game variants Trigon and Trigon Two-Player
* Fixed saving/opening files if file name contained non-ASCII characters and
  the system used an encoding other than Latin1
* The score numbers now show the total player and color scores instead of
  on-board and bonus points separately (feature request #3431039)
* New menu item "Edit/Select Next Color" that allows to enter moves independent
  of the color to play on the board (feature request #3441299)
* Slightly changed file format to use single-valued move properties as used in
  other games supported by SGF. Files written by Pentobi 0.2 can still be read.


Version 0.2 (17 Oct 2011)
=========================

* German translation
* Display sum score for both player colors in game variant Classic Two-Player
* Slightly changed file format to conform to the proposed version 5 of SGF that
  requires digits for move properties in multi-player games. Files written by
  Pentobi 0.1 can still be read.
* Support for move annotation symbols
* Store and edit additional game information (player names, date)
* New menu items Ten Moves Backward/Forward, Go to Move, Undo Move
* Underline move numbers if there are alternative variations
* Show move number, total number of moves and current variation in status bar
* Faster play in higher levels, especially of opening moves
* Make thumbnailer for Blokus files work under Gnome 3
* Fix broken compilation with GCC 4.6.1 (bug #3420555)


Version 0.1 (15 Jul 2011)
=========================

Initial release.
